<!DOCTYPE html>


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Development &mdash; Bérou 0.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/basic.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-3.3.4/css/bootstrap.min.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-3.3.4/css/bootstrap-theme.min.css" type="text/css" />
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '0.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.4/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="top" title="Bérou 0.1 documentation" href="../index.html" />
    <link rel="next" title="Installation" href="install.html" />
    <link rel="prev" title="Bérou" href="../index.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body role="document">

  <div id="navbar" class="navbar navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html">
          Bérou</a>
        <span class="navbar-text navbar-version pull-left"><b>0.1</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">Site <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="">Development</a></li>
<li class="toctree-l1"><a class="reference internal" href="../deployment/index.html">Deployment</a></li>
<li class="toctree-l1"><a class="reference internal" href="../usage/index.html">Usage</a></li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">Development</a><ul>
<li><a class="reference internal" href="#about-berou-apps">About Bérou apps</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
            
            
              
                
  <li>
    <a href="../index.html" title="Previous Chapter: Bérou"><span class="glyphicon glyphicon-chevron-left visible-sm"></span><span class="hidden-sm hidden-tablet">&laquo; Bérou</span>
    </a>
  </li>
  <li>
    <a href="install.html" title="Next Chapter: Installation"><span class="glyphicon glyphicon-chevron-right visible-sm"></span><span class="hidden-sm hidden-tablet">Installation &raquo;</span>
    </a>
  </li>
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/development/index.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
    <div class="col-md-12">
      
  <div class="section" id="development">
<h1>Development<a class="headerlink" href="#development" title="Permalink to this headline">¶</a></h1>
<div class="section" id="about-berou-apps">
<h2>About Bérou apps<a class="headerlink" href="#about-berou-apps" title="Permalink to this headline">¶</a></h2>
<p>At the moment, all the apps in the Bérou are using <a class="reference external" href="https://docs.djangoproject.com/en/1.8/topics/class-based-views/">Django Class-Based Views</a>.</p>
<p>For a complete tutorial on how to create django apps, we invite you to read the <a class="reference external" href="https://docs.djangoproject.com/en/1.8/intro/tutorial01/">official tutorial</a>.</p>
<p><a class="reference external" href="http://ccbv.co.uk/">A good reference for Django Class-Based Views</a></p>
<p>Reports bugs on <a class="reference external" href="https://gitlab.com/Pacodastre/Berou/issues">Gitlab</a>.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html#running-the-project">Running the project</a></li>
<li class="toctree-l1"><a class="reference internal" href="git.html">How to make my app an installable python package?</a><ul>
<li class="toctree-l2"><a class="reference internal" href="git.html#make-your-app-an-installable-python-package">Make your app an installable python package</a></li>
<li class="toctree-l2"><a class="reference internal" href="git.html#install-application">Install application</a></li>
<li class="toctree-l2"><a class="reference internal" href="git.html#uploading-code-to-gitlab">Uploading code to Gitlab</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="helpers.html">Helpers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="helpers.html#mixins">mixins</a></li>
<li class="toctree-l2"><a class="reference internal" href="helpers.html#templatetags">Templatetags</a></li>
<li class="toctree-l2"><a class="reference internal" href="helpers.html#includes-templates">Includes (templates)</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="i18n.html">How to translate my app ?</a><ul>
<li class="toctree-l2"><a class="reference internal" href="i18n.html#use-trans-in-templates">Use <cite>{% trans %}</cite> in templates</a></li>
<li class="toctree-l2"><a class="reference internal" href="i18n.html#use-ugettext-in-python-files">Use <cite>ugettext</cite> in python files</a></li>
<li class="toctree-l2"><a class="reference internal" href="i18n.html#run-makemessages-to-create-po-files">Run <cite>makemessages</cite> to create <cite>.po</cite> files</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial</a><ul>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#create-a-django-app">Create a Django app</a></li>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#urls">Urls</a></li>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#views">Views</a></li>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#templates">Templates</a></li>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#see-the-result">See the result</a></li>
<li class="toctree-l2"><a class="reference internal" href="tutorial.html#app-api">App API</a></li>
</ul>
</li>
</ul>
</div>
</div>
</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2015, Francois Ribemont.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.3.1.<br/>
    </p>
  </div>
</footer>
  </body>
</html>